Subject: Re: bug#13297: hi-lock-unface-buffer fails on face lists

From: Stefan Monnier <[email-masked]>
Date: Fri, 11 Jan 2013 22:24:31 -0500

> Before commit 111129 hi-lock-unface-buffer could handle face symbols as
> well as face lists.  After this commit it fails on lists.
> Third-party library highlight-symbol uses hi-lock-set-pattern passing it
> a face list.  The above change breaks this usage which isn't disallowed
> in hi-lock-set-pattern's doc-string.  As a result this library cannot
> remove the highlights it added with the help of hi-lock.

I don't understand exactly what you're referring to.  In which way does
it break it?  Do you get an error?  Or is the regexp's highlight just
sticks around without signaling any error?
Can you show some specific recipe to reproduce the problem?

        Stefan